Update workspace data
Update the current workspace's metadata.
You can update:
- Workspace name
- Workspace picture
Use cases:
- Renaming workspaces
- Updating branding or workspace avatars
- Managing workspace settings in admin panels
Authorization
apiKey AuthorizationBearer <token>
The API will use the Authorization: Bearer <your-key> header for requests.
In: header
Request Body
application/json
name?string
picture?|
[key: string]?never
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.excalidraw.com/api/v1/workspaces" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"users": [
"string"
],
"roles": {
"property1": "member",
"property2": "member"
},
"name": "string",
"created": "2019-08-24T14:15:22Z",
"picture": "http://example.com",
"subscriptionStatus": "payment_failed",
"creator": "string",
"updater": "string",
"apiVersion": "string",
"willCancelAt": "2019-08-24T14:15:22Z",
"blockedUsers": [
"string"
],
"type": null,
"preferences": {
"disableAi": true,
"enableAutoSceneNaming": true,
"disableEmailEditing": true,
"disableSceneSharing": true
},
"flags": 0,
"isDeleted": true,
"deletedAt": 0
}{
"statusCode": 400,
"error": "Bad Request",
"message": "string"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "string"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "string"
}